Bug 1069030 - document (.odt) with equation, saved as .doc has equation incorrectly displayed when reload into LO
Summary: document (.odt) with equation, saved as .doc has equation incorrectly display...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-24 01:44 UTC by Terry Duell
Modified: 2015-06-29 19:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:03:23 UTC


Attachments (Terms of Use)
This file, when saved as .doc exhibits the problem here. (29.30 KB, application/vnd.oasis.opendocument.text)
2014-02-24 01:44 UTC, Terry Duell
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 75678 None None None Never
FreeDesktop.org 75685 None None None Never

Description Terry Duell 2014-02-24 01:44:35 UTC
Created attachment 866835 [details]
This file, when saved as .doc exhibits the problem here.

Description of problem:
document (.odt) with equation, saved as .doc has equation incorrectly displayed when reload into LO 

Version-Release number of selected component (if applicable):
4.2.1.1-1.fc20

How reproducible:
always

Steps to Reproduce:
1.load .odt with equation
2."save as" .doc
3.reload .doc into LO

Actual results:
Equation is displayed with different sized font

Expected results:
equation looks the same as in .odt file

Additional info:
"save as" .docx saves the equation correctly

Comment 1 David Tardon 2014-02-27 13:31:48 UTC
The equations are all right, but we only show replacement bitmaps (or WMFs?) on opening. These are not rendered correctly.

Comment 2 Terry Duell 2014-02-27 21:37:40 UTC
Are you saying the incorrect rendering is only when displayed in LO, and that all is OK when the .doc is viewed in MSOffice?

Comment 3 David Tardon 2014-02-28 14:11:32 UTC
(In reply to Terry Duell from comment #2)
> Are you saying the incorrect rendering is only when displayed in LO, and
> that all is OK when the .doc is viewed in MSOffice?

How would I know? I do not have MS Office. I say that there is a bug in saving to doc, but there is no data loss.

Comment 4 Fedora End Of Life 2015-05-29 11:02:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 19:03:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Michael Stahl 2015-06-29 19:42:02 UTC
let's close this UPSTREAM since there are 2 upstream bugs tracking this


Note You need to log in before you can comment on or make changes to this bug.